> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Get a resident charge by ID

GET https://api.propexo.com/v1/resident-charges/{resident_charge_id}

The Resident Charges model provides a limited, one-sided view of a resident's financial history with a PMC and should not be treated as a comprehensive report of all charges that the resident owes. Credits to a resident's ledger are stored as negative charges. Due to the PMS API structure, this is a naturally high-volume endpoint. Since Propexo pricing is based on records returned, this may result in signficantly higher overall costs. We encourage you to reach out to support before activating.

Reference: https://docs.propexo.com/api-reference/rentvine/billing-and-payments/get-a-resident-charge-by-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `resident_charge_id` (string, required) — The ID of the resource.

### Query parameters

- `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
- `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results
- `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query

## Response

### 200

Successful response

- `meta` (ResponseMeta, required)
- `results` (V1ResidentChargesResidentChargeIdGetOutputResults, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### ResponseMeta

- `orderBy` (list of ResponseMetaOrderByItems, required) — The order of the results
- `offset` (integer, optional) — The offset of the first result
- `limit` (integer, optional) — The number of results to return
- `hasMore` (boolean, optional, nullable) — Whether there are more results
- `total` (integer, optional) — The total number of results

### V1ResidentChargesResidentChargeIdGetOutputResults

- `id` (string, optional) — The Propexo unique identifier for the resident charge
- `created_at` (string, optional) — The date record first entered Propexo
- `updated_at` (string, optional) — The date record was last updated in Propexo
- `last_seen` (string, optional, nullable) — The date the record was last seen from the PMS
- `x_id` (string, optional) — The external ID from the integration vendor | Method | Interface | | --------------------------------------------------------- | ------------ | | GET /api/manager/accounting/leases/charges/\{chargeID} | Accounting | | GET /api/manager/accounting/transactions/\{transactionID} | Transactions | | GET /api/manager/accounting/transactions/search | Transactions |
- `x_property_id` (string, optional) — The external ID of the property from the integration vendor | Method | Interface | | --------------------------------------------------------- | ------------ | | GET /api/manager/accounting/leases/charges/\{chargeID} | Accounting | | GET /api/manager/accounting/transactions/\{transactionID} | Transactions | | GET /api/manager/accounting/transactions/search | Transactions |
- `x_gl_account_id` (string, optional, nullable) — The external ID of the general ledger account from the integration vendorHydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable. | Method | Interface | | --------------------------------------------------------- | ------------ | | GET /api/manager/accounting/leases/charges/\{chargeID} | Accounting | | GET /api/manager/accounting/transactions/\{transactionID} | Transactions |
- `x_location_id` (any, optional) — The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.This field will always be null for RENTVINE
- `x_lease_id` (string, optional, nullable) — The external ID of the lease from the integration vendorHydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable. | Method | Interface | | --------------------------------------------------------- | ------------ | | GET /api/manager/accounting/leases/charges/\{chargeID} | Accounting | | GET /api/manager/accounting/transactions/\{transactionID} | Transactions |
- `x_resident_id` (any, optional) — The external ID of the resident from the integration vendorThis field will always be null for RENTVINE
- `x_unit_id` (string, optional, nullable) — The external ID of the unit from the integration vendor | Method | Interface | | ------------------------------------------------------ | ------------ | | GET /api/manager/accounting/leases/charges/\{chargeID} | Accounting | | GET /api/manager/accounting/transactions/search | Transactions |
- `x_charge_code_id` (any, optional) — The external ID of the charge code from the integration vendorThis field will always be null for RENTVINE
- `amount_in_cents` (double, optional, nullable) — The amount of the resident charge, in cents | Method | Interface | | ------------------------------------------------------ | ------------ | | GET /api/manager/accounting/leases/charges/\{chargeID} | Accounting | | GET /api/manager/accounting/transactions/search | Transactions |
- `amount_raw` (string, optional, nullable) — The raw value for amount from the PMS | Method | Interface | | ------------------------------------------------------ | ------------ | | GET /api/manager/accounting/leases/charges/\{chargeID} | Accounting | | GET /api/manager/accounting/transactions/search | Transactions |
- `amount_open_in_cents` (any, optional) — The amount open on the resident charge, in centsThis field will always be null for RENTVINE
- `amount_open_raw` (any, optional) — The raw value for open amount from the PMSThis field will always be null for RENTVINE
- `amount_paid_in_cents` (double, optional, nullable) — The amount paid on the resident charge, in cents | Method | Interface | | --------------------------------------------------------- | ------------ | | GET /api/manager/accounting/leases/charges/\{chargeID} | Accounting | | GET /api/manager/accounting/transactions/\{transactionID} | Transactions |
- `amount_paid_raw` (string, optional, nullable) — The raw value for amount paid from the PMS | Method | Interface | | --------------------------------------------------------- | ------------ | | GET /api/manager/accounting/leases/charges/\{chargeID} | Accounting | | GET /api/manager/accounting/transactions/\{transactionID} | Transactions |
- `due_date` (any, optional) — The due date associated with the resident chargeThis field will always be null for RENTVINE
- `name` (string, optional, nullable) — The name associated with the resident charge | Interface | Method | |---|---| | Transactions | GET /api/manager/accounting/transactions/search |
- `description` (string, optional, nullable) — Description of the resident charge | Method | Interface | | ------------------------------------------------------ | ---------- | | GET /api/manager/accounting/leases/charges/\{chargeID} | Accounting |
- `reference_number` (string, optional, nullable) — The reference number for the resident charge | Method | Interface | | ------------------------------------------------------ | ------------ | | GET /api/manager/accounting/leases/charges/\{chargeID} | Accounting | | GET /api/manager/accounting/transactions/search | Transactions |
- `transaction_date` (string, optional, nullable) — The transaction date of the resident charge | Method | Interface | | ------------------------------------------------------ | ------------ | | GET /api/manager/accounting/leases/charges/\{chargeID} | Accounting | | GET /api/manager/accounting/transactions/search | Transactions |
- `transaction_source` (any, optional) — The transaction source of the resident chargeThis field will always be null for RENTVINE
- `is_open` (any, optional) — Whether the resident charge is open and not yet settledThis field will always be null for RENTVINE
- `post_month` (any, optional) — The post month for the resident chargeThis field will always be null for RENTVINE
- `custom_data` (V1ResidentChargesResidentChargeIdGetOutputResultsCustomData, optional, nullable)
- `integration_id` (string, optional) — The Propexo unique identifier for the integration
- `integration_vendor` (enum, optional) — The property management system of record
  - Allowed values: `RENTVINE`, `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RESMAN`, `YARDI`, `YARDI_REST`
- `property_id` (string, optional) — The Propexo unique identifier for the property
- `resident_id` (any, optional) — The Propexo unique identifier for the residentThis field will always be null for RENTVINE
- `financial_account_id` (string, optional, nullable) — The Propexo unique identifier for the financial accountHydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable. | Interface | Method | | ------------ | --------------------------------------------------------- | | Transactions | GET /api/manager/accounting/transactions/\{transactionID} |
- `unit_id` (string, optional, nullable) — The Propexo unique identifier for the unit | Interface | Method | |---|---| | Transactions | GET /api/manager/accounting/transactions/search |
- `lease_id` (string, optional, nullable) — The Propexo unique identifier for the leaseHydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable. | Interface | Method | | ------------ | --------------------------------------------------------- | | Transactions | GET /api/manager/accounting/transactions/\{transactionID} |
- `charge_code_id` (any, optional) — The Propexo unique identifier for the charge codeThis field will always be null for RENTVINE
- `allocations` (list of V1ResidentChargesResidentChargeIdGetOutputResultsAllocationsItems, optional) — Array of payment allocations, splits, and related transactions associated with the resident charge

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### ResponseMetaOrderByItems

### V1ResidentChargesResidentChargeIdGetOutputResultsCustomData

### V1ResidentChargesResidentChargeIdGetOutputResultsAllocationsItems

- `id` (string, required) — The Propexo unique identifier for the resident allocation
- `x_id` (string, required) — The external ID from the integration vendor
- `x_source_id` (string, required, nullable) — The external ID of the source transaction from the integration vendorThis field is not currently hydrated for RENTVINE
- `x_destination_id` (string, required, nullable) — The external ID of the destination transaction from the integration vendorThis field is not currently hydrated for RENTVINE
- `financial_account_id` (string, required, nullable) — The Propexo unique identifier for the financial accountThis field is not currently hydrated for RENTVINE
- `amount_in_cents` (double, required, nullable) — The amount of the resident allocation, in centsThis field is not currently hydrated for RENTVINE
- `amount_raw` (string, required, nullable) — The raw value for amount from the PMSThis field is not currently hydrated for RENTVINE
- `resident_charge_id` (string, required, nullable) — The Propexo unique identifier for the resident charge
- `resident_payment_id` (string, required, nullable) — The Propexo unique identifier for the resident paymentThis field is not currently hydrated for RENTVINE
- `created_at` (string, required) — The date record first entered Propexo
- `updated_at` (string, required) — The date record was last updated in Propexo
- `last_seen` (string, required, nullable) — The date the record was last seen from the PMS
- `custom_data` (V1ResidentChargesResidentChargeIdGetOutputResultsAllocationsItemsCustomData, required, nullable)

### V1ResidentChargesResidentChargeIdGetOutputResultsAllocationsItemsCustomData

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "meta": {
    "orderBy": [
      {}
    ],
    "offset": 0,
    "limit": 100,
    "hasMore": true,
    "total": 1000
  },
  "results": {
    "id": "clwktsp9v000008l31iv218hn",
    "created_at": "2024-03-21T15:38:08.337Z",
    "updated_at": "2024-03-22T10:59:45.119Z",
    "last_seen": "2024-03-22T10:59:45.119Z",
    "x_id": "177",
    "x_property_id": "65",
    "x_gl_account_id": "127",
    "x_location_id": null,
    "x_lease_id": "76",
    "x_resident_id": null,
    "x_unit_id": "42",
    "x_charge_code_id": null,
    "amount_in_cents": 4567,
    "amount_raw": "45.67",
    "amount_open_in_cents": null,
    "amount_open_raw": null,
    "amount_paid_in_cents": 10000,
    "amount_paid_raw": "100.00",
    "due_date": null,
    "name": "Monthly Rent Charge",
    "description": "March 2024 rent charge for unit 42",
    "reference_number": "INV-20240301-177",
    "transaction_date": "2024-03-01T00:00:00.000Z",
    "transaction_source": null,
    "is_open": null,
    "post_month": null,
    "custom_data": {},
    "integration_id": "clwh5u07w000508me66sfh3um",
    "integration_vendor": "RENTVINE",
    "property_id": "clwi5xiix000008l6ctdgafyh",
    "resident_id": null,
    "financial_account_id": "clwfinacc00000123456789",
    "unit_id": "clwunit0000000042abcd",
    "lease_id": "clwlease0000000076efgh",
    "charge_code_id": null,
    "allocations": [
      {
        "id": "clwktsp9v000008l31iv218hn",
        "x_id": "alloc-20240301-001",
        "x_source_id": null,
        "x_destination_id": null,
        "financial_account_id": null,
        "amount_in_cents": 325000,
        "amount_raw": "3250.00",
        "resident_charge_id": null,
        "resident_payment_id": null,
        "created_at": "2024-03-21T15:38:08.337Z",
        "updated_at": "2024-03-22T10:59:45.119Z",
        "last_seen": "2024-03-22T10:59:45.119Z",
        "custom_data": {}
      }
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/resident-charges/resident_charge_id"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/resident-charges/resident_charge_id';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/resident-charges/resident_charge_id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/resident-charges/resident_charge_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.propexo.com/v1/resident-charges/resident_charge_id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.propexo.com/v1/resident-charges/resident_charge_id', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/resident-charges/resident_charge_id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/resident-charges/resident_charge_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```